(function() {
    /**
     * 动态加载CSS
     * @param {string} url 样式地址
     */
    function dynamicLoadCss(url) {
        console.log('cordovaEnv', cordovaEnv)
        var head = document.getElementsByTagName('head')[0]
        var script = document.createElement('script')
        script.type = 'text/javascript'
        script.src = url
        head.appendChild(script)
    }

    var u = navigator.userAgent, cordovaEnv = null
    if (u.indexOf('Android') > -1 || u.indexOf('Adr') > -1) cordovaEnv = 'android'
    if (!!u.match(/\(i[^;]+;( U;)? CPU.+Mac OS X/)) cordovaEnv = 'ios'
    if (cordovaEnv) dynamicLoadCss('cordova/' + cordovaEnv + '/cordova.js')
})()
